#include <stdio.h> 
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#include <sys/ioctl.h>
#include <string.h>
#include <unistd.h>

#define HELLOCTL "/dev/helloctl"

int main(int argc, char ** argv) {
	int fd = -1;
	int ret;
	int i;

	fd = open(HELLOCTL, O_RDONLY);
	if (fd < 0) {
		fprintf(stderr, "Could not open %s\n", HELLOCTL);
		_exit(1);
	}


	for (i=1; i<argc; i++) {
		if (ret = ioctl(fd, 1, argv[i]) < 0) {
			fprintf(stderr, "ioctl failed with: %s\n", strerror(ret));
			goto done;
		}
	}
done:
	close(fd);
}
